$:.push File.expand_path("../lib", __FILE__)

require 'cell/version'

Gem::Specification.new do |spec|
  spec.name          = "cell"
  spec.version       = Cell::VERSION
  spec.authors       = ["Mike Owens"]
  spec.email         = ["mike@meter.md"]

  spec.summary       = "Provides isolation and tenancy for Rails"
  spec.homepage      = "https://github.com/metermd/cell"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # The parts of the Rails stack we care about
  spec.add_dependency "rails",   "~> 5.2.0"

  # Our hard dependency on PostgreSQL
  spec.add_dependency "pg", "~> 1.1.3"

  spec.add_development_dependency "minitest", "~> 5.11"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake",    "~> 12.3"
end
